Create SetupIntent

This API used to create setupIntent associated with the specified event.
This API can be access by event admin and super admin. It will return data like paymentIntentClientSecret, requiresAction and paymentIntentId.
To call this API, user have to pass query param with API URL like eventurl, paymentIntentBase details and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.
It will return a success message if API execute successfully.

AttributeDescription
paymentIntentClientSecretIt's contains the client secret for generated payment intent.
paymentIntentIdIdentifier for generated payment intent.
requiresActionDoes it require any action.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200Create SetupIntent successfully.
201Created.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4060709Payment details are not valid.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Body Params
paymentIntentBaseDTO
object

It's contains the payment related details.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json